org.eclipse.emf.cdo.compare

## Class CDOCompare.CDOMatchEngine

- java.lang.Object
- - org.eclipse.emf.compare.match.DefaultMatchEngine
  - - org.eclipse.emf.cdo.compare.CDOCompare.CDOMatchEngine

- All Implemented Interfaces:
    org.eclipse.emf.compare.match.IMatchEngine
  Enclosing class:
    CDOCompare

      public static class CDOCompare.CDOMatchEngine
      extends org.eclipse.emf.compare.match.DefaultMatchEngine

  A `match engine` that treats `resources` as `EObjects`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOCompare.CDOMatchEngine.Factory` Creates `match engine` instances.

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.compare.match.DefaultMatchEngine

      `DEFAULT_EOBJECT_URI_CACHE_MAX_SIZE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `match(org.eclipse.emf.compare.Comparison comparison, org.eclipse.emf.compare.scope.IComparisonScope scope, Notifier left, Notifier right, Notifier origin, Monitor monitor)`

    - ### Methods inherited from class org.eclipse.emf.compare.match.DefaultMatchEngine

      `create, create, create, create, createDefaultEObjectMatcher, createDefaultEObjectMatcher, createDefaultEObjectMatcher, createResourceMatcher, getEObjectMatcher, getResourceMatcher, match, match, match, match`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### match

          protected void match(org.eclipse.emf.compare.Comparison comparison,
                               org.eclipse.emf.compare.scope.IComparisonScope scope,
                               Notifier left,
                               Notifier right,
                               Notifier origin,
                               Monitor monitor)

      Overrides:
        `match` in class `org.eclipse.emf.compare.match.DefaultMatchEngine`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html